UPSCALE_RELPERM(1)

NAME
upscale_relperm - Upscale two-phase relative permeability

SYNOPSIS
upscale_relperm [option=value] [grid file] [rock file 1] [rock file 2] [rock file 3] ...

DESCRIPTION
Upscale two-phase relative permeability in the capillary limit for lithofacies models described by Eclipse corner point grids.

Example usage:

upscale_relperm -bc p grid.grdecl swof1.inc swof2.inc

For isotropic input, the rock file has four columns, and looks like this:

-- Stone 1 -- Sw Krw Kro J-func
  1.42000E-01 0.00000E+00 1.00000E+00 2.25999E+00
  2.79250E-01 1.93652E-03 5.03619E-01 5.76122E-02
  4.14850E-01 1.09648E-02 2.36036E-01 -1.23421E-02
  6.14150E-01 4.10007E-02 3.95006E-02 -8.96693E-02
  7.26100E-01 1.41398E-01 9.30808E-03 -1.19849E-01
  9.48000E-01 8.40000E-01 0.00000E+00 -1.42553E+00

OPTIONS
-bc Which boundary conditions to use. Possible values are p (periodic), f (fixed) or l (linear). Defaults to f.
-points Number of saturation points to upscale for, uniformly distributed. Defaults to 30.
-upscaleBothPhases Whether to upscale both phases or not. Defaults to true.
-relPermCurve If upscaleBothPhases is false and input is isotropic, this specifies the column number in the rock-files to be upscaled. Defaults to 2.
-jFunctionCurve If upscaleBothPhases is false and input is isotropic,the column number in the stone-files that represent the Leverett J-function. Defaults to 4.
-gravity Gravitational acceleration, in m/s². Use 9.8 for standard gravity. Defaults to 0.
-fluids Which two-phase fluid system we are dealing with. Possible values are ow (oil/water) and go (gas/oil). Defaults to ow.
-surfaceTension Surface tension in dynes/cm to use in J-function/Pc conversion. Contact angle is not supported, and
-waterDensity Density of water, in g/cm³. Only relevant for non-zero gravity. If fluids is set to go (gas/oil), this should be set to density of gas. Defaults to 1.0.
-oilDensity Density of oil, in g/cm³. Only relevant for non-zero gravity. Defaults to 0.6.
-output Filename for where to write upscaled values.
-doEclipseCheck Check that input curves includes critical saturation points, i.e. saturation points where relperms are 0. See critRelpermThresh. Defaults to true.
-critRelpermThresh If minimum relperm value is less than this value, it is set to 0. Only applicable if doEclipseCheck is true. Defaults to 1e-6.
-interpolate If this option is used, the outputted values will be interpolated values using the supplied number of points (integer larger than 0). Monotone cubic interpolation is used, and will thus produce a smooth curve for a few number of saturation points.

REPORTING BUGS
Report on github repository <https://github.com/OPM/opm-upscaling/issues>

SEE ALSO
upscale_perm